// START CONFIG ==========================================================
thick = 5;
height = 12;
feet_len = 15;

rod_y = 22;
hole_height = 16;

rod_y = 12;
hole_height = 6;

screw_diam = 3.2;
board_hole_size = 4;

sec = 2;

// END CONFIG ==========================================================

a = thick;
b = feet_len;
c = thick*0.8;
sd = screw_diam + 0.25;
bhole = board_hole_size + 0.25;
bracket_hole_spacing = 20.32;

module poly() {
    polygon(
        points=[
            [0,0], [0,thick], [b,rod_y],
            [b+thick/3,rod_y], [b+thick/3, 0]
        ]
    );
};

// holes
difference() {
    linear_extrude(height=height) {poly();};
    // chanfrein
    translate([-100+feet_len,thick,sec]) cube([100, 100, 100]);

    // hole board mount 1
    translate([feet_len/2, thick/2, height/2+sec/2]) rotate(90, [1,0,0]) {cylinder(h=thick*2, r=bhole/2, center=true, $fs=1);};
}

difference() {
    translate([feet_len,0,height]) cube([thick/3, 12, 12]);
    // atx hole
    translate([feet_len, 6, height+height/2]) rotate(90, [0,1,0]) {cylinder(h=thick*2, r=sd/2, center=true, $fs=1);};
}